## ips 0.0-7

=== DESCRIPTION ===
Package: ips
Version: 0.0-7
Date: 2014-11-09
Title: Interfaces to Phylogenetic Software in R
Author: Christoph Heibl <christoph.heibl@gmx.net>
Maintainer: Christoph Heibl <christoph.heibl@gmx.net>
Depends: ape, colorspace, XML
Description: This package provides functions that wrap popular phylogenetic software for sequence alignment, masking of sequence alignments, and estimation of phylogenies and ancestral character states.
License: GPL (>= 2)
Packaged: 2014-11-09 21:46:41 UTC; stoffi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-11-10 00:38:44

## ips 0.0.11

=== DESCRIPTION ===
Package: ips
Version: 0.0.11
Date: 2019-06-20
Title: Interfaces to Phylogenetic Software in R
Authors@R: c(
    person("Christoph", "Heibl", email = "christoph.heibl@gmx.net", 
        role = c("aut", "cre")),
    person("Natalie", "Cusimano", role = c("aut")),
    person("Franz-Sebastian", "Krah", role = c("aut")))
Depends: R (>= 3.2.0), ape
Imports: phangorn, plyr, seqinr, XML
Description: Functions that wrap popular phylogenetic software for sequence
    alignment, masking of sequence alignments, and estimation of phylogenies and
    ancestral character states.
License: GPL-3
Encoding: UTF-8
NeedsCompilation: no
Repository: CRAN
RoxygenNote: 6.1.1
Packaged: 2019-07-04 15:51:55 UTC; heibl
Author: Christoph Heibl [aut, cre],
  Natalie Cusimano [aut],
  Franz-Sebastian Krah [aut]
Maintainer: Christoph Heibl <christoph.heibl@gmx.net>
Date/Publication: 2019-07-04 16:30:03 UTC

## ips 0.0.12

=== DESCRIPTION ===
Package: ips
Version: 0.0.12
Date: 2024-04-23
Title: Interfaces to Phylogenetic Software in R
Authors@R: c(
    person("Christoph", "Heibl", email = "christoph.heibl@gmx.net", 
        role = c("aut", "cre")),
    person("Natalie", "Cusimano", role = c("aut")),
    person("Franz-Sebastian", "Krah", role = c("aut")))
Depends: R (>= 3.5.0), ape
Imports: data.table, phangorn, plyr, XML
Description: Functions that wrap popular phylogenetic software for sequence
    alignment, masking of sequence alignments, and estimation of phylogenies and
    ancestral character states.
License: GPL-3
Language: en-US
Encoding: UTF-8
NeedsCompilation: no
Repository: CRAN
RoxygenNote: 7.3.1
Packaged: 2024-04-23 19:15:51 UTC; christoph
Author: Christoph Heibl [aut, cre],
  Natalie Cusimano [aut],
  Franz-Sebastian Krah [aut]
Maintainer: Christoph Heibl <christoph.heibl@gmx.net>
Date/Publication: 2024-04-23 19:50:02 UTC

## ips 0.0.13

=== DESCRIPTION ===
Package: ips
Version: 0.0.13
Date: 2026-02-16
Title: Interfaces to Phylogenetic Software in R
Authors@R: c(
    person("Christoph", "Heibl", email = "christoph.heibl@gmx.net", 
        role = c("aut")),
    person("Natalie", "Cusimano", role = c("aut")),
    person("Franz-Sebastian", "Krah", role = c("aut")),
     person("Martin R.", 'Smith', role = c("ctb", "cre"), 
         email = "martin.smith@durham.ac.uk",
         comment = c(ORCID = "0000-0001-5660-1727"))
    )
Depends: R (>= 3.5.0), ape
Imports: data.table, phangorn, plyr, XML
Description: Functions that wrap popular phylogenetic software for sequence
    alignment, masking of sequence alignments, and estimation of phylogenies and
    ancestral character states.
License: GPL-3
Language: en-US
Encoding: UTF-8
NeedsCompilation: no
Repository: CRAN
RoxygenNote: 7.3.3
Packaged: 2026-02-23 10:15:16 UTC; pjjg18
Author: Christoph Heibl [aut],
  Natalie Cusimano [aut],
  Franz-Sebastian Krah [aut],
  Martin R. Smith [ctb, cre] (ORCID:
    <https://orcid.org/0000-0001-5660-1727>)
Maintainer: Martin R. Smith <martin.smith@durham.ac.uk>
Date/Publication: 2026-02-23 11:00:02 UTC

## ips 3.3

=== Makefile ===
#
# Makefile for IPS.
#
# Normally, IPS will be able to display to the dumb tty, the terminal
# using curses, or an X11 window.  If you do not want the X11 display
# capability, then remove the X-related options from the build lines.
#
OBJS =	columns.o cond.o file.o linux.o macro.o main.o options.o \
	proc.o show.o sort.o utils.o display.o ttydisplay.o \
	cursesdisplay.o x11display.o commands.o

CFLAGS = -Wall -Wmissing-prototypes -O3 -DX11


ips:	$(OBJS) Makefile
	$(CC) -o ips $(OBJS) -lcurses -L/usr/X11R6/lib -lX11

clean:
	rm -f ips $(OBJS)

$(OBJS):	ips.h
cond.o:	expr.h
sort.o:	expr.h

## ips 4.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 OBJS =	columns.o cond.o file.o linux.o macro.o main.o options.o \
 	proc.o show.o sort.o utils.o display.o ttydisplay.o \
-	cursesdisplay.o x11display.o commands.o
+	cursesdisplay.o x11display.o color.o commands.o
 
 CFLAGS = -Wall -Wmissing-prototypes -O3 -DX11

=== debian/changelog ===
ips (4.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007662)
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #939992)

 -- Bastian Germann <bage@debian.org>  Sat, 28 Oct 2023 13:45:20 +0200

ips (4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965598)
  * debian/rules: Add build-{arch,indep}. (Closes: #999098)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 21:42:33 +0200

ips (4.0-1) unstable; urgency=low

  * New upstream version
  * Added README.source
  * Bumped Standards-Version to 3.8.4, no changes needed

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Apr 2010 10:12:11 +0200

ips (3.3-1) unstable; urgency=low

  * Initial release

 -- Michael Meskes <meskes@debian.org>  Mon, 31 Mar 2008 11:36:53 +0200

=== debian/control ===
Source: ips
Section: admin
Priority: extra
Maintainer: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7), libncurses5-dev, libxt-dev
Standards-Version: 3.8.4

Package: ips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intelligent process status
 Ips is an intelligent ps-like program which displays process status obtained
 from the /proc filesystem. It has features to make tracking of active,
 semi-active, and transient processes easy. It is extremely configurable, but
 is still efficient.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php ips-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/ips-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/ips-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/ips/ips-(.*)\.tar\.gz

http://members.tip.net.au/~dbell/programs/ips-(.*)\.tar\.gz

## ips 4.2

=== debian/changelog ===
ips (4.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Orphan package
    Closes: #1120783
  * Maintain in Debian team
  * Add Homepage
  * d/watch: Version: 5
  * d/copyright: DEP5
  * Build-Depends: libncurses5-dev => libncurses-dev
  * Do not explain quilt usage in d/README.source
  * d/rules: Short dh
  * d/dirs: Removed
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Use default build flags
    Closes: #1119452

 -- Andreas Tille <tille@debian.org>  Mon, 17 Nov 2025 18:44:50 +0100

=== debian/control ===
Source: ips
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libxt-dev,
Vcs-Browser: https://salsa.debian.org/debian/ips
Vcs-Git: https://salsa.debian.org/debian/ips.git
Homepage: http://www.tip.net.au/~dbell/

Package: ips
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Intelligent process status
 Ips is an intelligent ps-like program which displays process status obtained
 from the /proc filesystem. It has features to make tracking of active,
 semi-active, and transient processes easy. It is extremely configurable, but
 is still efficient.

=== debian/watch ===
Version: 5

Source: http://members.tip.net.au/~dbell/programs
Matching-Pattern: @PACKAGE@-(\d[\d.]+)@ARCHIVE_EXT@
